{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, send_message\r\n$insert ncr_equ\r\n$insert logical\r\n\r\nNCRId   = RowData<1,6>\r\nRejCnt  = RowData<1,1>\r\nRejLoss = RowData<1,2>\r\nRejAC   = RowData<1,4>\r\n*if xlate( 'NCR', NCRId, ncr_status$, 'X' ) = 'O' then\r\n   NCRsToDelete    = get_property( @window, '@NCRsToDelete' )\r\n   RejCntToDelete  = get_property( @window, '@RejCntToDelete' )\r\n   RejLossToDelete = get_property( @window, '@RejLossToDelete' )\r\n   RejACToDelete   = get_property( @window, '@RejACToDelete' )\r\n   *\r\n   NCRsToDelete<-1>    = NCRId\r\n   RejCntToDelete<-1>  = RejCnt\r\n   RejLossToDelete<-1> = RejLoss\r\n   RejACToDelete<-1>   = RejAC\r\n   Void = set_property( @window, '@NCRsToDelete', NCRsToDelete )\r\n   Void = set_property( @window, '@RejCntToDelete', RejCntToDelete )\r\n   Void = set_property( @window, '@RejLossToDelete', RejLossToDelete )\r\n   Void = set_property( @window, '@RejACToDelete', RejACToDelete )\r\n   *\r\n*end else\r\n   * TELL USER THAT THEY CANNOT DELETE\r\n*   MsgInfo = ''\r\n*   MsgInfo<mtext$> = 'The corresponding NCR ':NCRId:' for this accounted reject has already been signed. You cannot delete this.'\r\n*   MsgInfo<micon$> = 'H'\r\n*   Void = msg( '', MsgInfo )\r\n*   Void = send_message( CtrlEntId, 'INSERT', RowNum, RowData )   \r\n*end\r\nRETURN 1"
        }
    }
}